petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSThetaGetTheta

Get the abscissa of the stage in (0,1].

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSThetaGetTheta(TS ts,PetscReal *theta)

Not Collective

### Input Parameter

ts -timestepping context

### Output Parameter

theta -stage abscissa

### Note

Use of this function is normally only required to hack TSTHETA to use a modified integration scheme.

### See Also

TSThetaSetTheta()

### Level

Advanced

### Location

src/ts/impls/implicit/theta/theta.c

### Examples

src/ts/examples/tutorials/ex10.c.html

### Implementations

TSThetaGetTheta_Theta in src/ts/impls/implicit/theta/theta.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages